跳到主要内容

Qlik NPrinting Engine 的系统要求

在该页面上

Qlik NPrinting Engine 的系统要求

本节列出了 Qlik NPrinting Engine 的最低硬件和软件要求。

物理和虚拟机上都可以安装 Qlik NPrinting Engine。在两种配置中都不支持虚拟化应用程序。例如,如果 Qlik NPrinting EngineQlikView Desktop 安装在不同的计算机上并作为虚拟化应用程序分发,则它将不起作用。

默认设置下,仅一个 Qlik NPrinting Engine 可用于每个 Qlik NPrinting Server 许可证。如果您希望将额外的引擎添加至自己的 Qlik NPrinting 环境,则您需要购买它们。

要求

这些 Qlik NPrinting Engine 要求适用于各个 Qlik NPrinting 组件安装在不同计算机上的配置。如果要在同一计算机上安装多个组件(例如服务器和引擎),则此最低硬件要求会相应提高。

  • 平台:仅支持 64 位架构。
    • 目前,只有在不需要连接到 Qlik Sense 时,才支持 Microsoft Windows Server 2008 R2。
    • Microsoft Windows Server 2012
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2016
  • 处理器 (CPU):至少具有两个核心的多核 x64 兼容处理器。
  • 内存:每个核心需要 2 GB,总共至少需要 4 GB RAM。
    • 要管理用作报表数据源的 QlikView 文档,QlikView Desktop 必须具有足够的内存。
    • 更加当前工作负载,Qlik NPrinting Engine 可建立指向不同 QlikView 文档和 Qlik Sense 应用程序的多个连接。还可建立指向相同文档或应用程序的多个连接。您可建立的连接数默认取决于 Qlik NPrinting Engine 计算机的核心数。这可能造成比预期更高的 CPU 或 RAM 使用率。

  • 磁盘空间:至少 300 MB
  • 存储:仅支持 Windows(本地或共享)存储。
  • 服务器时钟:

    Qlik NPrinting ServerQlik NPrinting EngineWindows 服务器时钟必须在 2 秒的公差以内同步。Windows 服务器将其时钟和域控制器同步,因此如果 Qlik NPrinting ServerQlik NPrinting Engine 位于同一域,时钟将会同步。您不应当手动删除该选项。如果您将 Qlik NPrinting ServerQlik NPrinting Engine 安装在不同的 Windows 服务器域上,则必须确保时钟在 2 秒的公差内同步。

  • 平台安全:必须启用 TLS 1.2

QlikViewQlik NPrinting 的兼容性

需要 QlikView Desktop 以供 QlikView 连接 Qlik NPrinting 并且必须安装在每个 Qlik NPrinting Engine 计算机上。

如果使用服务器或群集连接,则 QlikView ServerQlikView Desktop 必须位于同一版本上。

以下版本的 QlikView 支持与 Qlik NPrinting 连接。注意您的 Qlik NPrinting 版本必须等于或高于您的 QlikView 版本。

  • QlikView 11.20 SR15 或更高版本
  • QlikView November 2017 (12.20) 或更高版本
  • QlikView November 2018 (12.30) SR1 或更高版本
  • QlikView April 2019 (12.40) 或更高版本

如果您从 QlikView NPrinting 16 迁移到 Qlik NPrinting November 2019 或更新的版本,则可能需要升级自己的 QlikView 版本。请参阅:在迁移之前升级 QlikView NPrinting 16

Qlik SenseQlik NPrinting 的兼容性

以下版本的 Qlik Sense 支持与 Qlik NPrinting 连接。注意您的 Qlik NPrinting 版本必须等于或高于您的 Qlik Sense 版本。

  • Qlik Sense November 2017 或更高版本

Qlik SenseQlik NPrinting 连接无需客户端软件。

安装其他软件

如果尚未安装以下软件,则将在 Qlik NPrinting Engine 设置过程中安装。不得将其删除:

  • PDF X-CHANGE 5.0.269
  • .NET framework:4.6.2 或更高版本。

    .NET framework 版本 4.6.2 在您安装 Qlik NPrinting ServerQlik NPrinting EngineQlik NPrinting Designer 时安装。 .NET framework 版本 4.6.2 的安装需要激活的互联网连接。如果在没有互联网连接的计算机上尚没有安装 .NET framework 版本 4.6.2 或更新版本,安装将失败。您必须在没有互联网的计算机上安装 .NET framework 版本 4.6.2 或更高版本才能安装 Qlik NPrinting ServerQlik NPrinting EngineQlik NPrinting Designer。如果安装了 .NET framework 版本 4.6.2 或更高版本的计算机上没有互联网连接可用,安装程序将跳过安装的该部分。